For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList canvas areas
      • POSTCreate a canvas area
      • GETGet a canvas area
      • PATCHUpdate a canvas area
      • DELDelete a canvas area
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceCanvas Areas

Delete a canvas area

DELETE
https://api.x.flatfile.com/v1/canvas-areas/:canvasAreaId
DELETE
/v1/canvas-areas/:canvasAreaId
$curl -X DELETE https://api.x.flatfile.com/v1/canvas-areas/canvasAreaId \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Deletes a specific canvas area
Was this page helpful?
Previous

Get a commit version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

canvasAreaIdstringRequired
Canvas Area ID

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error